Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.async
Class XSLTransformerBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--oracle.xml.async.XSLTransformerBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class XSLTransformerBeanInfo
extends java.beans.SimpleBeanInfo

This class provides information about the XSLTransformer Bean.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`XSLTransformerBeanInfo()` The default Constructor

Method Summary
`java.awt.Image` | `getIcon(int iconKind)` Gets an image object that can be used to represent `XSLTransformer` bean in toolbars, toolboxes, etc.
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Gets the `XSLTransformer` bean's `PropertyDescriptors`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTransformerBeanInfo

    public XSLTransformerBeanInfo()

  The default Constructor

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Gets the `XSLTransformer` bean's `PropertyDescriptors`
  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`
  Returns:
    An array of PropertyDescriptors describing the editable properties supported by `XSLTransformer` bean.

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Gets an image object that can be used to represent `XSLTransformer` bean in toolbars, toolboxes, etc.
  Specified by:
    `getIcon` in interface `java.beans.BeanInfo`
  Overrides:
    `getIcon` in class `java.beans.SimpleBeanInfo`
  Parameters:
    `iconKind` - The kind of icon requested.
  Returns:
    An image object representing the requested icon type for `XSLTransformer` bean.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.